.maven_openjdk:
  image: maven:3.6.3-openjdk-8

maven_build:
  extends: .maven_openjdk
  stage: build
  script:
    - mvn help:effective-settings 
    - mvn -Dmaven.test.skip=true clean install

maven_deploy:
  extends: .maven_openjdk
  stage: deploy
  script: 
    - mvn clean deploy -s ci_settings.xml
  only:
    - /^dev|master|master-bis|release$/
